Subject: Re: guix-master fails 'make install' (missing contentdb.scm)
From: Sergei Trofimovich <[email-masked]>
To: Leo Prikler <[email-masked]>, [email-masked]
Cc: Maxime Devos <[email-masked]>
Date: Sun, 22 Aug 2021 08:16:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, 21 Aug 2021 19:32:31 +0200
Leo Prikler <[email-masked]> wrote:

> Hi,
> 
> sorry for responding this late, I was asleep when the bug was filed.
> 
> Am Samstag, den 21.08.2021, 15:55 +0100 schrieb Sergei Trofimovich:
> > Noticed 'make install' failure of guix-master on a foreign
> > distribution:
> > 
> >     make  all-recursive
> >     make[1]: Entering directory '/tmp/portage-tmpdir/portage/sys-
> > apps/guix-9999/work/guix-9999'
> >     Making all in po/guix
> >     make[2]: Entering directory '/tmp/portage-tmpdir/portage/sys-
> > apps/guix-9999/work/guix-9999/po/guix'
> >     make guix.pot-update
> >     make[3]: Entering directory '/tmp/portage-tmpdir/portage/sys-
> > apps/guix-9999/work/guix-9999/po/guix'
> >     make[3]: *** No rule to make target
> > '../../guix/scripts/import/contentdb.scm', needed by 'guix.pot-
> > update'.  Stop.
> >     make[3]: Leaving directory '/tmp/portage-tmpdir/portage/sys-
> > apps/guix-9999/work/guix-9999/po/guix'
> >     make[2]: *** [Makefile:369: guix.pot] Error 2
> >     make[2]: Leaving directory '/tmp/portage-tmpdir/portage/sys-
> > apps/guix-9999/work/guix-9999/po/guix'
> >     make[1]: *** [Makefile:6203: all-recursive] Error 1
> > 
> > I suspect it ot started happening after
> >     
> > https://git.savannah.gnu.org/cgit/guix.git/commit/?id=467e874a86dc3dd83fe10e5610823c011de6565a
> > which adds a reference to 'contentdb.scm' file, but not file itself.
> > that causes 'make install' fail.  
> I've corrected said reference on master and verified locally, that both
> po-update and install work in po/guix.  I'll keep this bug open in case
> that `guix pull' still fails, but if it succeeds, you can mark it as
> done by sending to <[email-masked]>.

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=a1dbc8be95369f4ff805117b8966dfd1364c396f
fixes it. Tested as:
    $ ./pre-inst-env guix build guix --with-branch=guix=master --without-tests=guix
and by installing on a foreign distribution. Marking as done.

Thank you!

-- 

  Sergei